// Fill Frames with Graphics.jsx
// Version 1.0
// Modified 04-30-07, Keith Gilbert (www.gilbertconsulting.com)
////
// This script will do the following:
// 	For each Graphic Frame on each page, 
//		Fill the frame with the graphic, proportionally
//
// First, check to see whether any InDesign documents are open.
// If no documents are open, display an error message.
if (app.documents.length > 0) {
	myDocument = app.activeDocument;

	// Now look for graphic frames
	for (var i = 0; myDocument.pages.length > i; i++){ // for each page in the document...
		var currentPage = myDocument.pages.item(i);
		with (currentPage.rectangles) { // on the current page...
    		for (var n = 0; n < length; n++) { // for each graphic...
				var myGraphicFrame = currentPage.rectangles.item(n);
				if (myGraphicFrame.graphics.length != 0)	 {
					// Fill the frame with the graphic, proportionally
					myGraphicFrame.fit(1718185072);
				}
			}
		}
	}
}
else {
	//No documents are open, so display an error message.
	alert("No InDesign documents are open. Please open a document and try again.")
}